Bug 559816

Summary: [abrt] crash in elisa-0.5.35-2.fc12
Product: [Fedora] Fedora Reporter: Dimi Paun <dimi>
Component: elisaAssignee: Matthias Saou <matthias>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: bugreporter1, matthias
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:08997608
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 18:39:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace none

Description Dimi Paun 2010-01-28 23:25:58 EST
abrt 1.0.4 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/elisa %U
component: elisa
executable: /usr/bin/elisa
kernel: 2.6.31.9-174.fc12.i686.PAE
package: elisa-0.5.35-2.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TB08997608 connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "play_file" with signature "(s)" on interface "com.fluendo.Elisa.Plugins.Poblesec.FilePlayer" doesn't exist


Traceback (most recent call last):
  File "/usr/bin/elisa", line 8, in <module>
    load_entry_point('elisa==0.5.35', 'gui_scripts', 'elisa')()
  File "/usr/lib/python2.6/site-packages/elisa/core/launcher.py", line 389, in main
    Launcher().main(sys.argv)
  File "/usr/lib/python2.6/site-packages/elisa/core/launcher.py", line 83, in main
    return self.main_after_voodoo(argv)
  File "/usr/lib/python2.6/site-packages/elisa/core/launcher.py", line 226, in main_after_voodoo
    if self.poke_running_instance():
  File "/usr/lib/python2.6/site-packages/elisa/core/launcher.py", line 252, in poke_running_instance
    res = self.poke_unix_running_instance()
  File "/usr/lib/python2.6/site-packages/elisa/core/launcher.py", line 281, in poke_unix_running_instance
    file_player_iface.play_file(self.options['files'])
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "play_file" with signature "(s)" on interface "com.fluendo.Elisa.Plugins.Poblesec.FilePlayer" doesn't exist


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x8e17f5c>
args: (('%U',),)
utf8_strings: False
bus_name: dbus.UTF8String(':1.1006')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: '/com/fluendo/Elisa/Plugins/Poblesec/FilePlayer'
timeout: -1.0
signature: None
dbus_interface: 'com.fluendo.Elisa.Plugins.Poblesec.FilePlayer'
message: <dbus.lowlevel.MethodCallMessage object at 0xb77b13d0>
method: 'play_file'
Comment 1 Dimi Paun 2010-01-28 23:26:00 EST
Created attachment 387491 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 19:38:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 18:39:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.